org.icefaces.ace.component.gmap

## Interface IGMapAutocomplete

- All Known Implementing Classes:
    GMapAutocomplete, GMapAutocompleteBase

      public interface IGMapAutocomplete

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAddress()`
    `java.lang.String` | `getLatLng()`
    `java.lang.String` | `getOffset()`
    `java.lang.String` | `getSize()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getTypes()`
    `java.lang.String` | `getUrl()`
    `java.lang.String` | `getWindowOptions()`
    `boolean` | `isWindow()`
    `void` | `setAddress(java.lang.String address)`
    `void` | `setLatLng(java.lang.String latLng)`
    `void` | `setOffset(java.lang.String offset)`
    `void` | `setSize(java.lang.String size)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setTypes(java.lang.String types)`
    `void` | `setUrl(java.lang.String url)`
    `void` | `setWindow(boolean window)`
    `void` | `setWindowOptions(java.lang.String windowOptions)`

- - ### Method Detail

    - #### setAddress

          void setAddress(java.lang.String address)

    - #### getAddress

          java.lang.String getAddress()

    - #### setLatLng

          void setLatLng(java.lang.String latLng)

    - #### getLatLng

          java.lang.String getLatLng()

    - #### setOffset

          void setOffset(java.lang.String offset)

    - #### getOffset

          java.lang.String getOffset()

    - #### setSize

          void setSize(java.lang.String size)

    - #### getSize

          java.lang.String getSize()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setTypes

          void setTypes(java.lang.String types)

    - #### getTypes

          java.lang.String getTypes()

    - #### setUrl

          void setUrl(java.lang.String url)

    - #### getUrl

          java.lang.String getUrl()

    - #### setWindow

          void setWindow(boolean window)

    - #### isWindow

          boolean isWindow()

    - #### setWindowOptions

          void setWindowOptions(java.lang.String windowOptions)

    - #### getWindowOptions

          java.lang.String getWindowOptions()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.